** Description changed:

- Clicking the "launch" button from GNOME Software has no effect for
- snaps. This is because snapd doesn't provide any mechanism to determine
- what binaries / .desktop files a snap contains.
+ [Impact]
+ No method of launching snaps from GNOME Software.
+ 
+ [Test Case]
+ 1. Open GNOME Software
+ 2. Search for a snap (e.g. "moon-buggy")
+ 3. Click on snap description
+ 4. Click install
+ 
+ Expected result:
+ Snap is installed and launch button is shown (as for .deb apps)
+ 
+ Observed result:
+ Snap is installed; no launch button shown.
+ 
+ [Regression potential]
+ Low. We now take advantage of new snapd API to make snaps launchable.

** Also affects: gnome-software (Ubuntu Yakkety)
   Importance: High
     Assignee: Robert Ancell (robert-ancell)
       Status: Fix Committed

** Also affects: snapd (Ubuntu Yakkety)
   Importance: High
       Status: Fix Released

** Also affects: gnome-software (Ubuntu Xenial)
   Importance: Undecided
       Status: New

** Also affects: snapd (Ubuntu Xenial)
   Importance: Undecided
       Status: New

** Changed in: snapd (Ubuntu Xenial)
       Status: New => Fix Released

** Changed in: snapd (Ubuntu Xenial)
   Importance: Undecided => High

** No longer affects: snappy

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1564076

Title:
  Can't launch snaps

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1564076/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Reply via email to